:root {
	--page-padding: 1rem;
	--columns: 15;
	--cursor-blend-mode: difference;
	--cursor-radius: 0;
}

.gooey-cursor {
	--cursor-bg: #005b92;
	--cursor-blend-mode: difference;
}

a {
	cursor: pointer;
}

a:hover {
	outline: none;
}


a:focus {
	outline: none;
	background: lightgrey;
}

a:focus:not(:focus-visible) {
	background: transparent;
}

a:focus-visible {
	background: transparent;
}

.cursor {
	height: 100%;
	position: fixed;
	width: 100%;
	left: 0;
	top: 0;
	pointer-events: none;
	z-index: 99;
	mix-blend-mode: var(--cursor-blend-mode);
	--size: calc(100vw / var(--columns));
}

.cursor__inner {
	display: grid;
	grid-template-columns: repeat(var(--columns), var(--size));
}

.cursor__inner-box {
	width: var(--size);
	height: var(--size);
	background: var(--cursor-bg);
	opacity: 0;
	border-radius: var(--cursor-radius);
}

@media screen and (min-width: 53em) {
	:root {
		--columns: 30;
		--page-padding: 2rem;
	}
}